changeset 3557:9eed56c86b4e

<nooodl> revert f6f3d9626c03
author HackBot
date Thu, 29 Aug 2013 20:32:45 +0000
parents db38b9662a2c
children 18c2f500b561
files bin/? bin/echo bin/pastequote bin/pastequotes paste/paste.3032 paste/paste.5611
diffstat 6 files changed, 15 insertions(+), 10 deletions(-) [+]
line wrap: on
line diff
--- a/bin/?	Thu Aug 29 20:31:16 2013 +0000
+++ b/bin/?	Thu Aug 29 20:32:45 2013 +0000
@@ -1,1 +1,13 @@
-cat
+#!/bin/sh
+topic=$(echo "$1" | lowercase | sed "s/ *$//")
+topic1=$(echo "$topic" | sed "s/s$//")
+cd wisdom
+if [ \( "$topic1" = "ngevd" \) -a \( -e ngevd \) ];
+    then cat /dev/urandom;
+    elif [ -e "$topic" ];
+    then cat "$topic" | rnooodl;
+    elif [ -e "$topic1" ];
+    then cat "$topic1" | rnooodl;
+    else echo "$1? ¯\(°_o)/¯"; exit 1;
+fi
+
--- a/bin/echo	Thu Aug 29 20:31:16 2013 +0000
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,1 +0,0 @@
-echo Cats are cool but should be made illegal.
--- a/bin/pastequote	Thu Aug 29 20:31:16 2013 +0000
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,1 +0,0 @@
-cat
--- a/bin/pastequotes	Thu Aug 29 20:31:16 2013 +0000
+++ b/bin/pastequotes	Thu Aug 29 20:32:45 2013 +0000
@@ -1,1 +1,2 @@
-cat
+#!/bin/sh
+if [ "$1" ]; then quote "$1"; else allquotes; fi | paste
--- a/paste/paste.3032	Thu Aug 29 20:31:16 2013 +0000
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,3 +0,0 @@
-2013-08-16.txt:04:26:35: <elliott> `pastelogs 0x00.me
-2013-08-16.txt:04:28:17: <Bike> sub_space: hey why is 0x00.me an uncredited comic in shitty jpg form.
-2013-08-16.txt:18:33:10: -!- elliott changed the modes of #esoteric: +b *!x@0x00.me
--- a/paste/paste.5611	Thu Aug 29 20:31:16 2013 +0000
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,3 +0,0 @@
-2013-06-30.txt:01:57:16: <lambdabot>   "monoids hthmonoids hthmonoids hthmonoids hthmonoids hthmonoids hthmonoids ...
-2013-06-30.txt:01:57:22: <nooodl> hthmonoids
-2013-06-30.txt:01:58:58: <nooodl> `learn hthmonoids hthmonoids hthmonoids hthmonoids hthmonoids hthmonoids ...